System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.ReadOnlyCollectionBase

A module is an executable file or a dynamic link library (DLL). Each process consists of one or more modules. You can use this class to get iterate over a collection of process modules on the system. A module is identified by its module name and fully qualified file path.

Provides a strongly typed collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, with no associated instances.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, using the specified array of instances.

  An array of instances with which to initialize this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  A module is identified by its module name and its fully qualified file path.

  Determines whether the specified process module exists in the collection.

  true if the module exists in the collection; otherwise, false.

  A instance that indicates the module to find in this collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies an array of instances to the collection, at the specified index.

  An array of instances to add to the collection. The location at which to add the new instances.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Provides the location of a specified module within the collection.

  The zero-based index that defines the location of the module within the .

  The whose index is retrieved.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ProcessModule `` To be added. To be added. To be added. To be added.